package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;
import org.openqa.selenium.interactions.Actions;

public class UtilizacaoDeProdutosPMEPage extends PageBase {
    //Mapping
    By ClicarMenu = By.xpath("//i[@class='v-icon notranslate mdi mdi-menu theme--light']");
    By CampodePesquisa = By.id("menuSearchInput");
    By ClicarnaTelaPrato = By.xpath("//a[@id='5209739341401591282623']//div[@class='v-list-item__title']");

    By SetaParaSelecionarMenu = By.xpath("//i[@class='v-icon notranslate mdi mdi-chevron-down theme--light']");
    By SelecionarMenuUtilizacaoProduto = By.xpath("//p[text()='Utilização de produtos']");

    By CampoSelecionarAgrupamentodeUnidade = By.xpath("//input[@id='GRUPFILI']");
    By SelecionarAgrupamentodeUnidade = By.xpath("//div[@class='v-menu__content theme--light v-menu__content--fixed menuable__content__active v-autocomplete__content zd-select-menu zd-select-align-left zd-dense']//div[text()='0000000001 - PRODUCAO - PRODUTO ACABADO']");
    By CampoSelecionarUnidade = By.xpath("//input[@id='UNIDADE']");
    By SelecionarUnidade = By.xpath("//div[@class='v-menu__content theme--light v-menu__content--fixed menuable__content__active v-autocomplete__content zd-select-menu zd-select-align-left']//div[text()='9999 | DEPOSITO BC 129']");
    By CampoSelecionarServico = By.xpath("//input[@id='SERVICO']");
    By SelecionarServico = By.xpath("//div[@class='v-menu__content theme--light v-menu__content--fixed menuable__content__active v-autocomplete__content zd-select-menu zd-select-align-left']//div[text()='9999 | DEPOSITO BC 129 | 00005 | REFEIÇÕES TRANSPORTADAS']");
    By CampoSelecionarTipoCardapio = By.xpath("//input[@id='TIPOCARD']");
    By SelecionarTipodeCardapio = By.xpath("//div[@class='v-menu__content theme--light v-menu__content--fixed menuable__content__active v-autocomplete__content zd-select-menu zd-select-align-left']//div[text()='0000000002 | ALMOÇO INFANTIL']");
    By CampoSelecionarProduto = By.xpath("//div[@id='CDPRODUTO']");
    By CampoSelecionarReceita = By.xpath("//input[@id='TPRECEITA']");
    By SelecionarReceitaPadrao = By.xpath("//div[@class='v-menu__content theme--light v-menu__content--fixed menuable__content__active v-autocomplete__content zd-select-menu zd-select-align-left']//div[text()='Padrão']");
    By CampoSelecionarPratoInicial = By.xpath("//div[@id='PRATOINICIAL']//input");
    By CampoSelecionarPratoFinal = By.xpath("//div[@id='PRATOFINAL']//input");
    By ClicarAlterarReceita = By.xpath("//button[@id='salvarUtilizacaoProd']");

    // Receita Tipo Cardapio

    // Receita Servico
    By SelecionarServicoReceitaServico = By.xpath("//div[@class='v-menu__content theme--light v-menu__content--fixed menuable__content__active v-autocomplete__content zd-select-menu zd-select-align-left']//div[text()='9999 | DEPOSITO BC 129 | 00001 | RETIRADAS']");
    By SelecionarReceitaServico = By.xpath("//div[@class='v-menu__content theme--light v-menu__content--fixed menuable__content__active v-autocomplete__content zd-select-menu zd-select-align-left']//div[text()='Serviço']");
    By CheckSelecionarReceitaServico = By.xpath("//div[@id='gridUtilizacaoProd']//td[@class='zd-table-cell selectable']//div[@class='v-input zd-grid-row-checkbox v-input--hide-details theme--light v-input--selection-controls v-input--checkbox']");

    //Receita Local
    By SelecionarServicoLocal = By.xpath("//div[@class='v-menu__content theme--light v-menu__content--fixed menuable__content__active v-autocomplete__content zd-select-menu zd-select-align-left']//div[text()='9999 | DEPOSITO BC 129 | 00001 | RETIRADAS']");
    By SelecionarReceitaLocal = By.xpath("//div[@class='v-menu__content theme--light v-menu__content--fixed menuable__content__active v-autocomplete__content zd-select-menu zd-select-align-left']//div[text()='Local']");
    By FormaApresentacao = By.xpath("//div[@id='FORMA']//div[@class='v-input--selection-controls__ripple primary--text']");

    // Campos Alteracao Receitas
    By CampoInformarQuantidadeBruta = By.xpath("//input[@id='QTBRUTAPRUNR']");
    By CampoInformarGanhoCoccao = By.xpath("//input[@id='VRPEFATCOCPR']");
    By CampoInformarPerdaLimpeza = By.xpath("//input[@id='VRPEFATCORPR']");
    By CampoInformarDegelo = By.xpath("//input[@id='VRPERCDEGELO']");
    By CampoInformarHora = By.xpath("//input[@id='HRTEMPPREPPR']");
    By CampoInformarApNutricional = By.xpath("//input[@id='VRPEFATNUTPR']");
    By CampoClicarConfirmarAlteracao = By.xpath("//button[@id='salvarAlteracao']");

    //Actions
    public void AcessarTela() {
        tempo();
        click(ClicarMenu);
        sendKeys(CampodePesquisa, "Prato");
        tempo();
        click(ClicarnaTelaPrato);
    }
    public void TelaUtilizacaoProduto(){
        tempo();
        click(SetaParaSelecionarMenu);
        click(SelecionarMenuUtilizacaoProduto);
    }

    public void ReceitaPadrao(){
        tempo();
        click(CampoSelecionarAgrupamentodeUnidade);
        click(SelecionarAgrupamentodeUnidade);
        click(CampoSelecionarUnidade);
        tempo();
        click(CampoSelecionarUnidade);
        click(SelecionarUnidade);
        click(CampoSelecionarServico);
        click(SelecionarServico);
        click(CampoSelecionarTipoCardapio);
        click(SelecionarTipodeCardapio);
    }

    public void ReceitaServico(){
        tempo();
        click(CampoSelecionarAgrupamentodeUnidade);
        click(SelecionarAgrupamentodeUnidade);
        click(CampoSelecionarUnidade);
        tempo();
        click(CampoSelecionarUnidade);
        click(SelecionarUnidade);
        click(CampoSelecionarServico);
        click(SelecionarServicoReceitaServico);
        click(CampoSelecionarTipoCardapio);
        click(SelecionarTipodeCardapio);
    }

    public void ReceitaLocal(){
        tempo();
        click(CampoSelecionarAgrupamentodeUnidade);
        click(SelecionarAgrupamentodeUnidade);
        click(CampoSelecionarUnidade);
        tempo();
        click(CampoSelecionarUnidade);
        click(SelecionarUnidade);
        click(CampoSelecionarServico);
        click(SelecionarServicoLocal);
        click(CampoSelecionarTipoCardapio);
        click(SelecionarTipodeCardapio);
    }

    public void SelecionarProduto(){
        tempo();
        click(CampoSelecionarProduto);
        Actions actions = new Actions(driver);
        actions.moveToElement(driver.findElement(CampoSelecionarProduto), 0, 100).click().build().perform();
        tempo();
    }

    public void SelecionarReceitaServico(){
        tempo();
        click(CampoSelecionarReceita);
        click(SelecionarReceitaServico);
    }

    public void SelecionarReceitaPadrao(){
        tempo();
        click(CampoSelecionarReceita);
        click(SelecionarReceitaPadrao);
    }

    public void SelecionarReceitaLocal(){
        tempo();
        click(CampoSelecionarReceita);
        click(SelecionarReceitaLocal);
    }

    public void PratoInicial(){
        tempo();
        click(CampoSelecionarPratoInicial);
        Actions actions = new Actions(driver);
        actions.moveToElement(driver.findElement(CampoSelecionarPratoInicial), 0, 100).click().build().perform();
        tempo();
    }
    public void PratoFinal(){
        tempo();
        click(CampoSelecionarPratoFinal);
        Actions actions = new Actions(driver);
        actions.moveToElement(driver.findElement(CampoSelecionarPratoFinal), 0, 100).click().build().perform();
        tempo();
        tempo();
    }

    public void FormaApresentacao(){
        tempo();
        Actions actions = new Actions(driver);
        actions.moveToElement(driver.findElement(FormaApresentacao)).click().build().perform();
        tempo();
    }

    public void SelecionarPratoReceitaServico(){
        tempo();
        tempo();
        Actions actions = new Actions(driver);
        actions.moveToElement(driver.findElement(CheckSelecionarReceitaServico)).click().build().perform();
        tempo();
    }

    public void ClicarAlterarReceita(){
        tempo();
        click(ClicarAlterarReceita);
        Actions actions = new Actions(driver);
        actions.moveToElement(driver.findElement(ClicarAlterarReceita)).click().build().perform();
        tempo();
    }

    public void InformarQuantidadeBruta(){
        tempo();
        Actions actions = new Actions(driver);
        actions.moveToElement(driver.findElement(CampoInformarQuantidadeBruta)).click().build().perform();
        tempo();
        actions.sendKeys("1,2").build().perform();
        }

    public void InformarGanhoCoccao(){
        tempo();
        Actions actions = new Actions(driver);
        actions.moveToElement(driver.findElement(CampoInformarGanhoCoccao)).click().build().perform();
        tempo();
        actions.sendKeys("10").build().perform();
    }

    public void InformarPerdaLimpeza(){
        tempo();
        Actions actions = new Actions(driver);
        actions.moveToElement(driver.findElement(CampoInformarPerdaLimpeza)).click().build().perform();
        tempo();
        actions.sendKeys("10").build().perform();
    }

    public void InformarDegelo(){
        tempo();
        Actions actions = new Actions(driver);
        actions.moveToElement(driver.findElement(CampoInformarDegelo)).click().build().perform();
        tempo();
        actions.sendKeys("3").build().perform();
    }

    public void InformarHora(){
        tempo();
        Actions actions = new Actions(driver);
        actions.moveToElement(driver.findElement(CampoInformarHora)).click().build().perform();
        tempo();
        actions.sendKeys("1200").build().perform();
    }

    public void InformarApNutricional(){
        tempo();
        Actions actions = new Actions(driver);
        actions.moveToElement(driver.findElement(CampoInformarApNutricional)).click().build().perform();
        tempo();
        actions.sendKeys("1200").build().perform();
    }
    public void ConfirmarAlteracoes(){
        tempo();
        click(CampoClicarConfirmarAlteracao);

    }


}


